import { ClassDeclaration, Node, Property } from 'estel-estree-builder/generated/es2015';
import { Position } from './types';
export declare const byType: (type: any) => (n: any) => boolean;
export declare function filterByType<T>(a: Array<{}>, astNodeType: string): T[];
export declare const byLocation: (point: Position) => (n: any) => boolean;
interface ISearchOptions {
    lower: boolean;
}
export declare const searchBy: (currentNode: any, tester: any, options?: ISearchOptions) => any;
export declare const searchByType: (node: any, type: any) => any;
export declare const searchByLocation: (node: any, point: any) => any;
export declare const searchByLocationAndType: (node: any, point: Position, type: string) => any;
export declare const searchBySuperClass: (node: Node, superClassName: string) => ClassDeclaration;
export declare const searchForPropTypes: (node: Node, componentName: string) => Property[];
export declare const searchForPropDefaults: (node: Node, componentName: string) => Property[];
export declare const searchByIdName: (node: any, idName: any) => any;
export declare const printNode: (node: any, depth?: number) => void;
export {};
